Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## base
Class MainWindow

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          base.MainWindow

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class MainWindow

extends javax.swing.JFrame

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static XAboutFrame` | `AboutFrame` Trieda ktora vykresluje okno About
`static XApplicationMessageFrame` | `ApplicationMessageFrame` Trieda ktora vykresluje okno s errorovymi hlaskami
`Driver` | `Convertor` trieda konvertoru - v baliku convert
`static int` | `DisplayMode` premenna ktora urcuje typy zobrazenia suborov
`static java.lang.String` | `DocPath` cesta k súboru s dokumentaciou
`static java.lang.String` | `EmptydocPath` cesta k "prazdnemu" suboru
`protected static ExampleFileFilter` | `filterdtd` Filter pre *.dtd súbory
`protected static ExampleFileFilter` | `filterrnc` Filter pre *.rnc súbory
`protected static ExampleFileFilter` | `filterrng` Filter pre *.rng súbory
`protected static ExampleFileFilter` | `filterxml` Filter pre *.xml súbory
`protected static ExampleFileFilter` | `filterxsd` Filter pre *.xsd súbory
`SchemaGenerator` | `Generator` trieda generatoru - v baliku xmltorng
`protected static HelpContents` | `helpContents` Trieda volajúca okno s aboutom
`static java.lang.String` | `HelpPath` cesta k súboru s nápovedou
`protected static javax.swing.ImageIcon` | `ImgMenuFileExitnorm`
`protected static javax.swing.ImageIcon` | `ImgMenuFileExitroll`
`protected static javax.swing.ImageIcon` | `ImgMenuFilePropertiesnorm`
`protected static javax.swing.ImageIcon` | `ImgMenuFilePropertiesroll`
`protected static javax.swing.ImageIcon` | `ImgMenuHelpAboutnorm`
`protected static javax.swing.ImageIcon` | `ImgMenuHelpAboutroll`
`protected static javax.swing.ImageIcon` | `ImgMenuHelpDocnorm`
`protected static javax.swing.ImageIcon` | `ImgMenuHelpDocroll`
`protected static javax.swing.ImageIcon` | `ImgMenuHelpHelpnorm`
`protected static javax.swing.ImageIcon` | `ImgMenuHelpHelproll`
`protected static javax.swing.ImageIcon` | `ImgMenuVisualizerEndVisualizenorm`
`protected static javax.swing.ImageIcon` | `ImgMenuVisualizerEndVisualizeroll`
`protected static javax.swing.ImageIcon` | `ImgMenuVisualizerExportSQLnorm`
`protected static javax.swing.ImageIcon` | `ImgMenuVisualizerExportSQLroll`
`protected static javax.swing.ImageIcon` | `ImgMenuVisualizerVisualizenorm`
`protected static javax.swing.ImageIcon` | `ImgMenuVisualizerVisualizeroll`
`protected static javax.swing.ImageIcon` | `ImgMenuXMLClosenorm`
`protected static javax.swing.ImageIcon` | `ImgMenuXMLCloseroll`
`protected static javax.swing.ImageIcon` | `ImgMenuXMLOpennorm`
`protected static javax.swing.ImageIcon` | `ImgMenuXMLOpenroll`
`protected static javax.swing.ImageIcon` | `ImgMenuXMLSavenorm`
`protected static javax.swing.ImageIcon` | `ImgMenuXMLSaveroll`
`protected static javax.swing.ImageIcon` | `ImgMenuXSDClosenorm`
`protected static javax.swing.ImageIcon` | `ImgMenuXSDCloseroll`
`protected static javax.swing.ImageIcon` | `ImgMenuXSDGeneratenorm`
`protected static javax.swing.ImageIcon` | `ImgMenuXSDGenerateroll`
`protected static javax.swing.ImageIcon` | `ImgMenuXSDOpennorm`
`protected static javax.swing.ImageIcon` | `ImgMenuXSDOpenroll`
`protected static javax.swing.ImageIcon` | `ImgMenuXSDSavenorm`
`protected static javax.swing.ImageIcon` | `ImgMenuXSDSaveroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarEndVisualizenorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarEndVisualizeroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarExportSQLnorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarExportSQLroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarVisualizenorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarVisualizeroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarXMLClosenorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarXMLCloseroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarXMLOpennorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarXMLOpenroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarXMLSavenorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarXMLSaveroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarXSDClosenorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarXSDCloseroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarXSDGeneratenorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarXSDGenerateroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarXSDOpennorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarXSDOpenroll`
`protected static javax.swing.ImageIcon` | `ImgToolbarXSDSavenorm`
`protected static javax.swing.ImageIcon` | `ImgToolbarXSDSaveroll`
`static MainWindow` | `MainWindow` Trieda ktora vykresluje hlavne okno z tadialto sa vola vacsina metod
`static XPropertiesFrame` | `PropertiesFrame` Trieda ktora vykresluje okno s nastaveniami
`static XQuitFrame` | `QuitFrame` Trieda ktora vykresluje okno pri vypinani aplikacie
`static int` | `SchemaOutputFormat` premenna ktora urcute typ vystupu xml schemy
`protected static java.awt.Color` | `TabsPaneNormalForeground`
`protected static java.awt.Color` | `TabsPaneSelectedForeground`
`static javax.swing.JTabbedPane` | `VisualizeTabsPane`
`static java.awt.Color` | `XMLColor` farba akou sa vypisuje XML dokument
`static org.jdom.Document` | `XMLdoc` trieda typu document pre XML dokument
`static boolean` | `XMLdocOpened` premenna ktora urcuje ci uz je nejaky XML subor otvoreny
`protected static javax.swing.JFileChooser` | `XMLFileChooser` Okno na ukladanie alebo load/save XML suborov
`static java.lang.String` | `XMLname` nazov suboru z/do sa dava XML
`static java.lang.String` | `XMLpath` cesta ku XML suboru
`static java.lang.String` | `XMLstring` string obsahujuci cely XML subor
`static javax.swing.JTable[]` | `XMLTable`
`static int[]` | `XMLTableActiveRowIndex`
`static int` | `XMLTableCount`
`static int` | `XMLTableIndex`
`protected static int` | `XMLTableMaxCount`
`static javax.swing.table.DefaultTableModel[]` | `XMLTableModel`
`static java.lang.String[]` | `XMLTableName`
`static javax.swing.JScrollPane[]` | `XMLTableScroller`
`static java.net.URL` | `XMLurl` cesta k xml suboru
`static boolean` | `XMLVisualized` premenna ktora urcuje ci prebehla visualizacia xml
`static java.awt.Color` | `XSDColor` farba akou sa vypisuje XML schema
`static org.jdom.Document` | `XSDdoc` trieda typu document pre XML schemu
`static boolean` | `XSDdocGenerated` premenna ktora urcuje ci bola dana schema vygenerovana
`static boolean` | `XSDdocOpened` premenna ktora urcuje ci sa uz s nejakym .xsd suborom pracuje
`protected static javax.swing.JFileChooser` | `XSDFileChooser` Okno na ukladanie alebo load/save XML schem
`static java.lang.String` | `XSDname` nazov suboru z/do sa dava XML schema
`static java.lang.String` | `XSDpath` cesta k suboru s XML schemou
`static java.lang.String` | `XSDstring` string obsahujuci celu XML schemu
`static java.net.URL` | `XSDurl` cesta k suboru s XML schemou
`static java.io.File` | `XSDvirtualfiledtd`
`static java.lang.String` | `XSDvirtualfiledtdname`
`static java.lang.String` | `XSDvirtualfiledtdpath`
`static java.io.File` | `XSDvirtualfilernc`
`static java.lang.String` | `XSDvirtualfilerncname`
`static java.lang.String` | `XSDvirtualfilerncpath`
`static java.io.File` | `XSDvirtualfilerng`
`static java.lang.String` | `XSDvirtualfilerngname`
`static java.lang.String` | `XSDvirtualfilerngpath`
`static java.io.File` | `XSDvirtualfilexsd`
`static java.lang.String` | `XSDvirtualfilexsdname`
`static java.lang.String` | `XSDvirtualfilexsdpath`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MainWindow()` Creates new form MainWindow

Method Summary
`static void` | `ApplyConfigChanges()` Metoda ktora nastavi farbu pisma
`void` | `ClearTree()` Metoda ktora vycisti TreeView - strom
`static void` | `DisableMainWindow()` Metóda ktorá zneplatní hlavné okno
`static void` | `EnableMainWindow()` Metóda ktorá povolí hlavné okno a nastaví naň focus
`void` | `Generate()` Metoda ktora generuje schemu z XML dokumentu
`void` | `GenerateDOMTree()` Metoda ktora generuje TreeView - strom
`void` | `GenerateForVisualize()` Metoda volana ked je zapnuty iny mod zobrazenia ako zakladny, generuje schemu z XML
`void` | `GenerateTables()` Metoda ktora generuje tabulky - vizualizacia
`static void` | `main(java.lang.String[] args)` Metoda main
`static void` | `QuitApplication()` Metoda ktora ukonci aplikaciu
`static void` | `SetDisplayMode()` Metoda ktora nastavi funkcionalitu tlacitok
`static void` | `ShowMessage(java.lang.String header, java.lang.String text)` Metoda ktora zobrazi vystraznu hlasku alebo error
`static void` | `UpdateStatus(java.lang.String text)` Updatuje status bar
`void` | `Visualize()` Metoda volana pri stiknuti tlacitka vizualize
`void` | `XMLClose()` Metoda ktora zavre XML subor, ponuke save dokumentu
`void` | `XMLClosed()` Metoda ktora zakaze jendotlive tlacitka ked sa XML subor zavrie
`void` | `XMLOpen()` Metoda ktora nacita XML subor Vypise ho do prislusneho tabu a nastavi flagy
`static void` | `XMLOpened()` Metoda ktora povoli jendotlive tlacitka ked je XML subor otvoreny
`static void` | `XMLOpenForGenerate()` Metoda ktora nacita XML subor na generovanie XML schemy.
`static void` | `XMLSave()` Metoda ktora ulozi otvorene xml
`void` | `XSDClose()` Metoda ktora zavre schemu, ponukne save suboru
`void` | `XSDClosed()` Metoda ktora zakaze jendotlive tlacitka ked sa schema zavrie
`static void` | `XSDFileChooserSetExtension(int datatype)` Metoda ktora nastavi aky je vystup XML schemy
`static void` | `XSDOpen()` Metoda ktora nacita XSD subor Vypise ho do prislusneho tabu a nastavi flagy
`static void` | `XSDOpened()` Metoda ktora povoli jendotlive tlacitka ked je XML subor otvoreny
`static void` | `XSDSave()` Metoda ktora ulozi otvorenu schemu

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### VisualizeTabsPane

    public static javax.swing.JTabbedPane VisualizeTabsPane

### MainWindow

    public static MainWindow MainWindow

  Trieda ktora vykresluje hlavne okno z tadialto sa vola vacsina metod

### QuitFrame

    public static XQuitFrame QuitFrame

  Trieda ktora vykresluje okno pri vypinani aplikacie

### AboutFrame

    public static XAboutFrame AboutFrame

  Trieda ktora vykresluje okno About

### ApplicationMessageFrame

    public static XApplicationMessageFrame ApplicationMessageFrame

  Trieda ktora vykresluje okno s errorovymi hlaskami

### PropertiesFrame

    public static XPropertiesFrame PropertiesFrame

  Trieda ktora vykresluje okno s nastaveniami

### helpContents

    protected static HelpContents helpContents

  Trieda volajúca okno s aboutom

### HelpPath

    public static java.lang.String HelpPath

  cesta k súboru s nápovedou

### DocPath

    public static java.lang.String DocPath

  cesta k súboru s dokumentaciou

### EmptydocPath

    public static final java.lang.String EmptydocPath

  cesta k "prazdnemu" suboru

  See Also:
    Constant Field Values

### filterxml

    protected static ExampleFileFilter filterxml

  Filter pre *.xml súbory

### XMLFileChooser

    protected static javax.swing.JFileChooser XMLFileChooser

  Okno na ukladanie alebo load/save XML suborov

### XMLname

    public static java.lang.String XMLname

  nazov suboru z/do sa dava XML

### XMLpath

    public static java.lang.String XMLpath

  cesta ku XML suboru

### XMLurl

    public static java.net.URL XMLurl

  cesta k xml suboru

### XMLdoc

    public static org.jdom.Document XMLdoc

  trieda typu document pre XML dokument

### XMLstring

    public static java.lang.String XMLstring

  string obsahujuci cely XML subor

### XMLColor

    public static java.awt.Color XMLColor

  farba akou sa vypisuje XML dokument

### filterrng

    protected static ExampleFileFilter filterrng

  Filter pre *.rng súbory

### filterrnc

    protected static ExampleFileFilter filterrnc

  Filter pre *.rnc súbory

### filterxsd

    protected static ExampleFileFilter filterxsd

  Filter pre *.xsd súbory

### filterdtd

    protected static ExampleFileFilter filterdtd

  Filter pre *.dtd súbory

### XSDFileChooser

    protected static javax.swing.JFileChooser XSDFileChooser

  Okno na ukladanie alebo load/save XML schem

### XSDname

    public static java.lang.String XSDname

  nazov suboru z/do sa dava XML schema

### XSDpath

    public static java.lang.String XSDpath

  cesta k suboru s XML schemou

### XSDurl

    public static java.net.URL XSDurl

  cesta k suboru s XML schemou

### XSDdoc

    public static org.jdom.Document XSDdoc

  trieda typu document pre XML schemu

### XSDstring

    public static java.lang.String XSDstring

  string obsahujuci celu XML schemu

### XSDColor

    public static java.awt.Color XSDColor

  farba akou sa vypisuje XML schema

### Convertor

    public Driver Convertor

  trieda konvertoru - v baliku convert

### Generator

    public SchemaGenerator Generator

  trieda generatoru - v baliku xmltorng

### XMLTableMaxCount

    protected static final int XMLTableMaxCount

See Also:
  Constant Field Values

### XMLTable

    public static javax.swing.JTable[] XMLTable

### XMLTableScroller

    public static javax.swing.JScrollPane[] XMLTableScroller

### XMLTableName

    public static java.lang.String[] XMLTableName

### XMLTableModel

    public static javax.swing.table.DefaultTableModel[] XMLTableModel

### XMLTableActiveRowIndex

    public static int[] XMLTableActiveRowIndex

### XMLTableCount

    public static int XMLTableCount

### XMLTableIndex

    public static int XMLTableIndex

### XSDvirtualfilerng

    public static java.io.File XSDvirtualfilerng

### XSDvirtualfilerngpath

    public static final java.lang.String XSDvirtualfilerngpath

See Also:
  Constant Field Values

### XSDvirtualfilerngname

    public static final java.lang.String XSDvirtualfilerngname

See Also:
  Constant Field Values

### XSDvirtualfilernc

    public static java.io.File XSDvirtualfilernc

### XSDvirtualfilerncpath

    public static final java.lang.String XSDvirtualfilerncpath

See Also:
  Constant Field Values

### XSDvirtualfilerncname

    public static final java.lang.String XSDvirtualfilerncname

See Also:
  Constant Field Values

### XSDvirtualfilexsd

    public static java.io.File XSDvirtualfilexsd

### XSDvirtualfilexsdpath

    public static final java.lang.String XSDvirtualfilexsdpath

See Also:
  Constant Field Values

### XSDvirtualfilexsdname

    public static final java.lang.String XSDvirtualfilexsdname

See Also:
  Constant Field Values

### XSDvirtualfiledtd

    public static java.io.File XSDvirtualfiledtd

### XSDvirtualfiledtdpath

    public static final java.lang.String XSDvirtualfiledtdpath

See Also:
  Constant Field Values

### XSDvirtualfiledtdname

    public static final java.lang.String XSDvirtualfiledtdname

See Also:
  Constant Field Values

### XMLdocOpened

    public static boolean XMLdocOpened

  premenna ktora urcuje ci uz je nejaky XML subor otvoreny

### XSDdocOpened

    public static boolean XSDdocOpened

  premenna ktora urcuje ci sa uz s nejakym .xsd suborom pracuje

### XSDdocGenerated

    public static boolean XSDdocGenerated

  premenna ktora urcuje ci bola dana schema vygenerovana

### XMLVisualized

    public static boolean XMLVisualized

  premenna ktora urcuje ci prebehla visualizacia xml

### SchemaOutputFormat

    public static int SchemaOutputFormat

  premenna ktora urcute typ vystupu xml schemy

### DisplayMode

    public static int DisplayMode

  premenna ktora urcuje typy zobrazenia suborov

### TabsPaneSelectedForeground

    protected static final java.awt.Color TabsPaneSelectedForeground

### TabsPaneNormalForeground

    protected static final java.awt.Color TabsPaneNormalForeground

### ImgToolbarXMLOpennorm

    protected static final javax.swing.ImageIcon ImgToolbarXMLOpennorm

### ImgToolbarXMLOpenroll

    protected static final javax.swing.ImageIcon ImgToolbarXMLOpenroll

### ImgToolbarXMLSavenorm

    protected static final javax.swing.ImageIcon ImgToolbarXMLSavenorm

### ImgToolbarXMLSaveroll

    protected static final javax.swing.ImageIcon ImgToolbarXMLSaveroll

### ImgToolbarXMLClosenorm

    protected static final javax.swing.ImageIcon ImgToolbarXMLClosenorm

### ImgToolbarXMLCloseroll

    protected static final javax.swing.ImageIcon ImgToolbarXMLCloseroll

### ImgToolbarXSDOpennorm

    protected static final javax.swing.ImageIcon ImgToolbarXSDOpennorm

### ImgToolbarXSDOpenroll

    protected static final javax.swing.ImageIcon ImgToolbarXSDOpenroll

### ImgToolbarXSDSavenorm

    protected static final javax.swing.ImageIcon ImgToolbarXSDSavenorm

### ImgToolbarXSDSaveroll

    protected static final javax.swing.ImageIcon ImgToolbarXSDSaveroll

### ImgToolbarXSDClosenorm

    protected static final javax.swing.ImageIcon ImgToolbarXSDClosenorm

### ImgToolbarXSDCloseroll

    protected static final javax.swing.ImageIcon ImgToolbarXSDCloseroll

### ImgToolbarXSDGeneratenorm

    protected static final javax.swing.ImageIcon ImgToolbarXSDGeneratenorm

### ImgToolbarXSDGenerateroll

    protected static final javax.swing.ImageIcon ImgToolbarXSDGenerateroll

### ImgToolbarVisualizenorm

    protected static final javax.swing.ImageIcon ImgToolbarVisualizenorm

### ImgToolbarVisualizeroll

    protected static final javax.swing.ImageIcon ImgToolbarVisualizeroll

### ImgToolbarEndVisualizenorm

    protected static final javax.swing.ImageIcon ImgToolbarEndVisualizenorm

### ImgToolbarEndVisualizeroll

    protected static final javax.swing.ImageIcon ImgToolbarEndVisualizeroll

### ImgToolbarExportSQLnorm

    protected static final javax.swing.ImageIcon ImgToolbarExportSQLnorm

### ImgToolbarExportSQLroll

    protected static final javax.swing.ImageIcon ImgToolbarExportSQLroll

### ImgMenuXMLOpennorm

    protected static final javax.swing.ImageIcon ImgMenuXMLOpennorm

### ImgMenuXMLOpenroll

    protected static final javax.swing.ImageIcon ImgMenuXMLOpenroll

### ImgMenuXMLSavenorm

    protected static final javax.swing.ImageIcon ImgMenuXMLSavenorm

### ImgMenuXMLSaveroll

    protected static final javax.swing.ImageIcon ImgMenuXMLSaveroll

### ImgMenuXMLClosenorm

    protected static final javax.swing.ImageIcon ImgMenuXMLClosenorm

### ImgMenuXMLCloseroll

    protected static final javax.swing.ImageIcon ImgMenuXMLCloseroll

### ImgMenuXSDOpennorm

    protected static final javax.swing.ImageIcon ImgMenuXSDOpennorm

### ImgMenuXSDOpenroll

    protected static final javax.swing.ImageIcon ImgMenuXSDOpenroll

### ImgMenuXSDSavenorm

    protected static final javax.swing.ImageIcon ImgMenuXSDSavenorm

### ImgMenuXSDSaveroll

    protected static final javax.swing.ImageIcon ImgMenuXSDSaveroll

### ImgMenuXSDClosenorm

    protected static final javax.swing.ImageIcon ImgMenuXSDClosenorm

### ImgMenuXSDCloseroll

    protected static final javax.swing.ImageIcon ImgMenuXSDCloseroll

### ImgMenuXSDGeneratenorm

    protected static final javax.swing.ImageIcon ImgMenuXSDGeneratenorm

### ImgMenuXSDGenerateroll

    protected static final javax.swing.ImageIcon ImgMenuXSDGenerateroll

### ImgMenuVisualizerVisualizenorm

    protected static final javax.swing.ImageIcon ImgMenuVisualizerVisualizenorm

### ImgMenuVisualizerVisualizeroll

    protected static final javax.swing.ImageIcon ImgMenuVisualizerVisualizeroll

### ImgMenuVisualizerEndVisualizenorm

    protected static final javax.swing.ImageIcon ImgMenuVisualizerEndVisualizenorm

### ImgMenuVisualizerEndVisualizeroll

    protected static final javax.swing.ImageIcon ImgMenuVisualizerEndVisualizeroll

### ImgMenuVisualizerExportSQLnorm

    protected static final javax.swing.ImageIcon ImgMenuVisualizerExportSQLnorm

### ImgMenuVisualizerExportSQLroll

    protected static final javax.swing.ImageIcon ImgMenuVisualizerExportSQLroll

### ImgMenuFilePropertiesnorm

    protected static final javax.swing.ImageIcon ImgMenuFilePropertiesnorm

### ImgMenuFilePropertiesroll

    protected static final javax.swing.ImageIcon ImgMenuFilePropertiesroll

### ImgMenuFileExitnorm

    protected static final javax.swing.ImageIcon ImgMenuFileExitnorm

### ImgMenuFileExitroll

    protected static final javax.swing.ImageIcon ImgMenuFileExitroll

### ImgMenuHelpHelpnorm

    protected static final javax.swing.ImageIcon ImgMenuHelpHelpnorm

### ImgMenuHelpHelproll

    protected static final javax.swing.ImageIcon ImgMenuHelpHelproll

### ImgMenuHelpDocnorm

    protected static final javax.swing.ImageIcon ImgMenuHelpDocnorm

### ImgMenuHelpDocroll

    protected static final javax.swing.ImageIcon ImgMenuHelpDocroll

### ImgMenuHelpAboutnorm

    protected static final javax.swing.ImageIcon ImgMenuHelpAboutnorm

### ImgMenuHelpAboutroll

    protected static final javax.swing.ImageIcon ImgMenuHelpAboutroll

Constructor Detail

### MainWindow

    public MainWindow()

  Creates new form MainWindow

Method Detail

### DisableMainWindow

    public static void DisableMainWindow()

  Metóda ktorá zneplatní hlavné okno

### EnableMainWindow

    public static void EnableMainWindow()

  Metóda ktorá povolí hlavné okno a nastaví naň focus

### UpdateStatus

    public static void UpdateStatus(java.lang.String text)

  Updatuje status bar

  Parameters:
    `text` - text ktory sa zobrazi

### QuitApplication

    public static void QuitApplication()

  Metoda ktora ukonci aplikaciu

### ShowMessage

    public static void ShowMessage(java.lang.String header,
                                   java.lang.String text)

  Metoda ktora zobrazi vystraznu hlasku alebo error

  Parameters:
    `header` - - String s nazovom chyby - Error/Warning
    `text` - - String s popisom chyby - napr nepodarilo sa otvorit subor.

### ApplyConfigChanges

    public static void ApplyConfigChanges()

  Metoda ktora nastavi farbu pisma

### XSDFileChooserSetExtension

    public static void XSDFileChooserSetExtension(int datatype)

  Metoda ktora nastavi aky je vystup XML schemy

  Parameters:
    `datatype` - cislo typu schemy

### SetDisplayMode

    public static void SetDisplayMode()

  Metoda ktora nastavi funkcionalitu tlacitok

### XMLOpen

    public void XMLOpen()

  Metoda ktora nacita XML subor Vypise ho do prislusneho tabu a nastavi flagy

### XMLOpened

    public static void XMLOpened()

  Metoda ktora povoli jendotlive tlacitka ked je XML subor otvoreny

### XMLOpenForGenerate

    public static void XMLOpenForGenerate()

  Metoda ktora nacita XML subor na generovanie XML schemy. Pouziva sa ked je iny mod zobrazovania ako klasicky

### XMLSave

    public static void XMLSave()

  Metoda ktora ulozi otvorene xml

### XMLClose

    public void XMLClose()

  Metoda ktora zavre XML subor, ponuke save dokumentu

### XMLClosed

    public void XMLClosed()

  Metoda ktora zakaze jendotlive tlacitka ked sa XML subor zavrie

### XSDOpen

    public static void XSDOpen()

  Metoda ktora nacita XSD subor Vypise ho do prislusneho tabu a nastavi flagy

### XSDOpened

    public static void XSDOpened()

  Metoda ktora povoli jendotlive tlacitka ked je XML subor otvoreny

### XSDSave

    public static void XSDSave()

  Metoda ktora ulozi otvorenu schemu

### XSDClose

    public void XSDClose()

  Metoda ktora zavre schemu, ponukne save suboru

### XSDClosed

    public void XSDClosed()

  Metoda ktora zakaze jendotlive tlacitka ked sa schema zavrie

### Generate

    public void Generate()

  Metoda ktora generuje schemu z XML dokumentu

### GenerateForVisualize

    public void GenerateForVisualize()

  Metoda volana ked je zapnuty iny mod zobrazenia ako zakladny, generuje schemu z XML

### GenerateDOMTree

    public void GenerateDOMTree()

  Metoda ktora generuje TreeView - strom

### ClearTree

    public void ClearTree()

  Metoda ktora vycisti TreeView - strom

### Visualize

    public void Visualize()

  Metoda volana pri stiknuti tlacitka vizualize

### GenerateTables

    public void GenerateTables()

  Metoda ktora generuje tabulky - vizualizacia

### main

    public static void main(java.lang.String[] args)

  Metoda main

  Parameters:
    `args` - the command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD